{ config, lib, ... }:
{
  config = lib.mkMerge [
    (lib.mkIf (config.networking.hostName == "nixnas") {
      services.cloudflared = {
        enable = true;
        certificateFile = "/Block/cloudflare/cert.pem";
        tunnels.mine = {
          credentialsFile = "/Block/cloudflare/2d530440-2db8-491a-bb61-7941315d4cb9.json";
          default = "http_status:404";
        };
      };
    })
  ];
}
